Bug 483635 - Please do not require mysql
Please do not require mysql
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mediatomb (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Marc Wiriadisastra
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 12:53 EST by Tomas Smetana
Modified: 2009-07-16 03:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.11.0-9.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:01:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Smetana 2009-02-02 12:53:21 EST
Description of problem:
MediaTomb depends on both the mysql-libs and mysql but only the former is actually required.  The application can act as a MySQL database client but there is no need for the database server to be installed on the same system as MediaTomb.

This dependency drags in unnecessary 3 MB and a database server which may matter on small home servers.  Please remove the mysql hard dependency from the spec file.

Version-Release number of selected component (if applicable):
mediatomb-0.11.0-3.fc10 but the same 

How reproducible:
always

Steps to Reproduce:
1. rpm -q --requires mediatomb
  
Actual results:
both the libmysqlclient_r.so.15 and mysql are listed

Expected results:
only libmysqlclient_r.so.15 is listed
Comment 1 Tomas Smetana 2009-02-02 12:55:24 EST
Eh... fat fingers.  Sorry.  Should be:

Version-Release number of selected component (if applicable):
mediatomb-0.11.0-3.fc10 but the same is present also in rawhide
Comment 2 Marc Wiriadisastra 2009-02-03 05:36:46 EST
I will fix it up as soon as I get a patch from upstream relating to building it with the latest version of mysql.

As at the moment in rawhide it doesn't build.

I'll get to it quickly.
Comment 3 Tomas Smetana 2009-07-05 06:31:57 EDT
Hi,
  I've upgraded to F-11 and the latest mediatomb package still has the mysql hardcoded dependency...  It's really just a simple change.
Comment 4 Marc Wiriadisastra 2009-07-05 06:49:01 EDT
Apologies for the delay as it has been fixed but I'm trying to fix another bug for this package at the same time. I've asked for feedback from the other bug to see if it's fixed but haven't heard anything so I'll push it to testing tonight.
Comment 5 Fedora Update System 2009-07-05 07:10:13 EDT
mediatomb-0.11.0-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mediatomb-0.11.0-9.fc11
Comment 6 Fedora Update System 2009-07-05 07:12:10 EDT
mediatomb-0.11.0-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mediatomb-0.11.0-9.fc10
Comment 7 Fedora Update System 2009-07-05 07:14:56 EDT
mediatomb-0.11.0-9.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mediatomb-0.11.0-9.fc9
Comment 8 Fedora Update System 2009-07-11 13:23:40 EDT
mediatomb-0.11.0-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mediatomb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7490
Comment 9 Fedora Update System 2009-07-11 13:26:45 EDT
mediatomb-0.11.0-9.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update mediatomb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-7490
Comment 10 Fedora Update System 2009-07-11 13:34:11 EDT
mediatomb-0.11.0-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mediatomb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7539
Comment 11 Fedora Update System 2009-07-16 03:01:11 EDT
mediatomb-0.11.0-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-07-16 03:05:20 EDT
mediatomb-0.11.0-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.